'use strict'

/*
|--------------------------------------------------------------------------
| Routes
|--------------------------------------------------------------------------
|
| Http routes are entry points to your web application. You can create
| routes for different URL's and bind Controller actions to them.
|
| A complete guide on routing is available here.
| http://adonisjs.com/docs/4.1/routing
|
*/

/** @type {typeof import('@adonisjs/framework/src/Route/Manager')} */
const Route = use('Route')


/*
/ Auth
*/
Route.get('/logout', 'AuthController.logout').as('logout').middleware(['auth']);
Route.get('/register', 'AuthController.registerIndex').as('register');
Route.get('/login', 'AuthController.loginIndex').as('login');
Route.post('/register', 'AuthController.register').validator('Register');
Route.post('/login', 'AuthController.login').validator('Login');

/*
/ Applications
*/

Route
    .get(
        '/applications/story-time',
        ({view}) => view.render('applications.story-time.app'))
    .middleware(['auth']);


/** Basic APIs */
Route
    .get(
        '/users/profile',
        ({request, response, auth}) => {
          console.log('twergsg');
          const u = auth.user.publicJSON();

          response.send(u);
          // return auth.user;
        })
    .middleware(['auth']);
Route.get('/*', 'IndexController.index').as('home');
